function Component()
{

}

Component.prototype.createOperations = function()
{
    component.createOperations();

    if (systemInfo.productType === "windows") {
		
		// MS VC++ Redistributables
		
		var redist_installed = installer.execute("reg", new Array("QUERY", "HKEY_LOCAL_MACHINE\\SOFTWARE\\Wow6432Node\\Microsoft\\VisualStudio\\14.0\\VC\\Runtimes\\x64", "/v", "Installed"))[0];
		
		if (!redist_installed)
		{
			component.addOperation(
				"Execute",
				"@TargetDir@/vc_redist.x64.exe"
			);
		}
		
		// Install Adobe Flashplayer
		
		var flash_installed = installer.execute("reg", new Array("QUERY", "HKEY_LOCAL_MACHINE\\SOFTWARE\\Wow6432Node\\Macromedia\\FlashPlayerPepperReleaseType", "/v", "Release"))[0];
		
		if (!flash_installed)
		{
			component.addOperation(
				"Execute",
				"@TargetDir@/flashplayer32pp_xa_install.exe"
			)
		}
		
		// Startmenu shortcut
		
        component.addOperation(
			"CreateShortcut",
			"@TargetDir@/botfather.exe",
			"@StartMenuDir@/botfather.lnk",
            "workingDirectory=@TargetDir@",
			"description=Start Botfather"
		);
		
		// Desktop shortcut
		
        component.addOperation(
			"CreateShortcut",
			"@TargetDir@/botfather.exe",
			"@DesktopDir@/botfather.lnk",
            "workingDirectory=@TargetDir@",
			"description=Start Botfather"
		);
    }
}